summaryrefslogtreecommitdiff
path: root/debian/swiftstory.postinst
diff options
context:
space:
mode:
authorOlivier Gayot <olivier.gayot@sigexec.com>2018-03-09 13:38:23 +0100
committerOlivier Gayot <olivier.gayot@sigexec.com>2018-03-09 13:38:23 +0100
commit540e4b9bd685af8272114a0d0722b69eaafa7e82 (patch)
tree8e9f9f14e7f15b5d791bf0277ae516cd4184b63a /debian/swiftstory.postinst
parent36e6ae18fc9a4eda018eae3b1d85b2dc200ffb88 (diff)
debianize the package
Signed-off-by: Olivier Gayot <olivier.gayot@sigexec.com>
Diffstat (limited to 'debian/swiftstory.postinst')
-rw-r--r--debian/swiftstory.postinst34
1 files changed, 34 insertions, 0 deletions
diff --git a/debian/swiftstory.postinst b/debian/swiftstory.postinst
new file mode 100644
index 0000000..5874566
--- /dev/null
+++ b/debian/swiftstory.postinst
@@ -0,0 +1,34 @@
+#!/bin/sh
+# postinst script for swiftstory
+
+set -e
+
+# summary of how this script can be called:
+# * <postinst> `configure' <most-recently-configured-version>
+# * <old-postinst> `abort-upgrade' <new version>
+# * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+# <new-version>
+# * <postinst> `abort-remove'
+# * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+# <failed-install-package> <version> `removing'
+# <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+case "$1" in
+ configure)
+ adduser --system swiftstory --no-create-home
+ ;;
+
+ abort-upgrade | abort-remove | abort-deconfigure )
+ ;;
+
+ *)
+ echo "postinst called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+#DEBHELPER#
+
+exit 0